CVE-2012-4298

NameCVE-2012-4298
DescriptionInteger signedness error in the vwr_read_rec_data_ethernet function in wiretap/vwr.c in the Ixia IxVeriWave file parser in Wireshark 1.8.x before 1.8.2 allows user-assisted remote attackers to execute arbitrary code via a crafted packet-trace file that triggers a buffer overflow.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
wireshark (PTS)jessie1.12.1+g01b65bf-4+deb8u14fixed
jessie (security)1.12.1+g01b65bf-4+deb8u19fixed
stretch (security), stretch2.6.7-1~deb9u1fixed
buster2.6.8-1.1fixed
bullseye3.2.1-1fixed
sid3.2.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
wiresharksource(unstable)1.8.2-1
wiresharksourcesqueeze(not affected)

Notes

[squeeze] - wireshark <not-affected> (Only affects 1.8.x)

Search for package or bug name: Reporting problems